﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadSchedulerWebForm.aspx.cs"
    Inherits="RadSchedulerWebForm" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
    <style type="text/css">
        
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <%--Needed for JavaScript IntelliSense in VS2010--%>
            <%--For VS2008 replace RadScriptManager with ScriptManager--%>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
        </Scripts>
    </telerik:RadScriptManager>
    <telerik:RadCodeBlock runat="server">
        <script type="text/javascript">
            var scheduler = null;
            var calendar1 = null;

            function pageLoad() {
                var $ = $telerik.$;
                scheduler = $find('<%=RadScheduler1.ClientID %>');
                calendar1 = $find('<%=RadCalendar1.ClientID %>');
                var radWindow = $find("<%=RadWindow1.ClientID %>");

                $(".rsDatePickerActivator").bind("click", function onclick(e) {
                    var selectedDate = scheduler.get_selectedDate();
                    calendar1.navigateToDate([selectedDate.format("yyyy"), selectedDate.format("MM"), selectedDate.format("dd")]);
                    $(this).attr("id", "datePickerOpener");
                    radWindow.set_offsetElementID("datePickerOpener");
                    radWindow.show();
                    e.stopPropagation();
                    e.preventDefault();

                })

                $(document).click(function(event) {
                    var target = event.target || event.srcElement;
                    if (!$(target).parents().is(".RadCalendar")) {
                        if (radWindow.isVisible()) {
                            radWindow.hide();
                        }
                    }
                });

            }

            function OnCalendar1DateSelected(sender, args) {

                var selectedDateTriplet = sender.get_selectedDates()[0];
                if (selectedDateTriplet) {

                    var selectedDate = selectedDateTriplet[0].toString() + "-" + (selectedDateTriplet[1]).toString() + "-" + selectedDateTriplet[2].toString();
                    $find('<%=RadAjaxManager1.ClientID %>').ajaxRequest(selectedDate);
                }

            }

            function OnClientNavigationComplete(sender, args) {

                var selectedDate = sender.get_selectedDate();
                calendar1.navigateToDate([selectedDate.format("yyyy"), selectedDate.format("MM"), selectedDate.format("dd")]);

            }

        </script>
    </telerik:RadCodeBlock>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" OnAjaxRequest="RadAjaxManager1_AjaxRequest">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadCalendar1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadScheduler1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RadAjaxManager1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadScheduler1" />
                    <telerik:AjaxUpdatedControl ControlID="RadWindow1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RadCalendar1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadScheduler1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RadScheduler1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadScheduler1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadWindow ID="RadWindow1" runat="server" VisibleTitlebar="false" VisibleStatusbar="false"
        Width="236px" Height="194px" Top="30px" Left="10px">
        <ContentTemplate>
            <telerik:RadCalendar runat="server" ID="RadCalendar1" AutoPostBack="false" ClientEvents-OnDateSelected="OnCalendar1DateSelected"
                EnableMultiSelect="false">
            </telerik:RadCalendar>
        </ContentTemplate>
    </telerik:RadWindow>
    <telerik:RadScheduler runat="server" ID="RadScheduler1" SelectedView="TimelineView"
        OnClientNavigationComplete="OnClientNavigationComplete" Height="150px" EnableDescriptionField="True">
    </telerik:RadScheduler>
    </form>
</body>
</html>
